Bug 430414 - xterm pointer hiding not quite successful - make it stop
xterm pointer hiding not quite successful - make it stop
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xterm (Show other bugs)
8
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Miroslav Lichvar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-27 15:34 EST by Tom Horsley
Modified: 2008-02-13 00:17 EST (History)
2 users (show)

See Also:
Fixed In Version: 232-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-13 00:17:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to implement new option and resource (4.60 KB, patch)
2008-01-27 21:32 EST, Tom Horsley
no flags Details | Diff

  None (edit)
Description Tom Horsley 2008-01-27 15:34:44 EST
Description of problem:

This irritates me so much that I have to believe it just started with the
latest xterm update or I would have noticed it before :-). Xterm apparently
thinks it is a good idea to hide the mouse pointer when I start typing
(I think it is a horrible idea).

It does a terrible job, and instead of hiding the whole pointer, it leaves
a black pixel from the pointer border on the screen. This makes me think
I either have a dead pixel on my monitor, or a gnat on my screen.


Version-Release number of selected component (if applicable):
xterm-231-1.fc8.x86_64

How reproducible:
Every time I type anything in an xterm.

Steps to Reproduce:
1. See mouse pointer I beam
2. Start typing
3. See black dot left where I beam was
  
Actual results:
See above

Expected results:
I'd infinitely prefer that it left the dadgum pointer alone,
but lacking that, it would be nice if it actually erased the
whole thing.

If there is some unfathomable reason some people like the
pointer hiding behavior, and option to disable it would
be nice :-).

Additional info:

Not sure who is doing the work here. Could be an X issue or nvidia
driver issue:

xorg-x11-drv-nvidia-96xx-96.43.01-3.lvn8.1.x86_64.rpm
kmod-nvidia-96xx-2.6.23.14-107.fc8-96.43.01-20.lvn8.x86_64.rpm
xorg-x11-server-Xorg-1.3.0.0-40.fc8.x86_64

Did this update just switch from the xorg xterm to a branch from a
different source? Maybe go back to xorg?
Comment 1 Tom Horsley 2008-01-27 21:32:47 EST
Created attachment 293101 [details]
patch to implement new option and resource

As proof of how annoying I find cursor hiding, I've attached a patch
which implement the new -hp and +hp options as well as the hidePointer
resource (man page updates I leave to someone who understands troff :-).
Comment 2 Miroslav Lichvar 2008-01-28 04:55:02 EST
CCing upstream maintainer.
Comment 3 Thomas E. Dickey 2008-01-28 06:10:22 EST
see ftp://invisible-island.net for current patch which does
(without adding -hp/+hp options) improve the pointer-hiding.
Comment 4 Tom Horsley 2008-01-28 08:39:06 EST
The patch from comment #3 seems to do everything I want. I don't need
an option, the pointerMode resource will work for me.

Now just need to get latest xterm into fedora updates :-).
Comment 5 Miroslav Lichvar 2008-01-28 08:47:35 EST
I'll prepare an update when #232 is released.
Comment 6 Thomas E. Dickey 2008-01-28 10:00:17 EST
"soon".  The big change in the "g" patch was to help isolate
an equally annoying case where bold is lost.  With some luck,
I'll complete that fix tonight.
Comment 7 Fedora Update System 2008-01-31 08:05:07 EST
xterm-232-1.fc8 has been submitted as an update for Fedora 8
Comment 8 Fedora Update System 2008-02-02 04:00:57 EST
xterm-232-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xterm'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-1246
Comment 9 Chris Elmquist 2008-02-04 18:18:44 EST
whew.  Glad you guys are on top of this.  I can confirm that this is a
significant annoyance here too.  What was most obvious was the black
pixel overwriting portions of the text...  caused me at first to think I
had bad pixels on my LCD!!  Except, every machine in the place was doing
it...

Will evaluate the update and provide feedback as directed.

Thank you.
Comment 10 Miroslav Lichvar 2008-02-05 06:01:55 EST
Chris, I don't think it's annoying (as implemented in #232) and I'd like to keep
it enabled at least in F9. Not sure about F7 and F8.

Suggestions?
Comment 11 Tom Horsley 2008-02-05 18:53:30 EST
Don't worry, the patch provides a new resource, you can leave pointer hiding
on (the default) or use the resource to turn it off (my favorite :-).
Comment 12 Fedora Update System 2008-02-13 00:17:18 EST
xterm-232-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.